<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');


require_once("modules/Invoices/InvoiceItems.php");
require_once("modules/Invoices/Invoice.php");
require_once("modules/Documents/Document.php");

$focus = new Invoice();
$focus->retrieve($_REQUEST['record']);
$ii = new InvoiceItems($_REQUEST['record']); 
$d = new Document();

if(!$focus->ACLAccess('View')){
	ACLController::displayNoAccess(true);
	sugar_cleanup(true);
}
if(!$d->ACLAccess('Save')){
	ACLController::displayNoAccess(true);
	sugar_cleanup(true);
}



if(!empty($_REQUEST['record'])){
	$filename = $GLOBALS['mod_strings']['LBL_INVOICE'];
	$filename .= " ".$focus->invoice_number;

	if($focus->invoice_source == "Internal Editor")
		$content = $ii->getPDF('I');
	else
		$content = file_get_contents($GLOBALS['sugar_config']['upload_dir']."".$focus->id);

	if(empty($focus->document_id)){
		$d->id = create_guid();
		$d->new_with_id = true;			

	
		$d->revision = 0;
		$d->status_id = "Active";
			
			
	}else{
		$d->retrieve($focus->document_id);
	}
		
	$Revision = new DocumentRevision();
	$Revision->id = create_guid();
	$Revision->new_with_id = true;
	if($d->revision == 0)	
		$Revision->change_log = $GLOBALS["mod_strings"]["DEF_CREATE_LOG"];
	else
		$Revision->change_log = $GLOBALS["mod_strings"]["LOG_UPDATED"];
		
	$Revision->document_id = $d->id;
		
	if($focus->invoice_source == "Internal Editor")
		$Revision->filename = $filename.".pdf";
	else
		$Revision->filename = $focus->filename;
	$Revision->revision = $d->revision + 1;
	$d->revision = $Revision->revision;		
	$d->document_revision_id = $Revision->id;
		
	$file_path = $GLOBALS['sugar_config']['upload_dir']."".$Revision->id;
	if(!file_put_contents($file_path,$content))
		die("Error occured. Please check premissions of the cache directory.");		
		
	$Revision->save();
	

	$d->document_name = $filename;
	$d->active_date = $focus->publish_date;
	$d->exp_date = $focus->exp_date;

	if($d->save()){
		$focus->document_id = $d->id;
		$focus->save();
		
		$return_id = $d->id;
		handleRedirect($return_id,'Documents');		
	}		
	
}

?>
