<?php
$module_name = 'Invoices';
$_object_name = 'invoices';
$viewdefs [$module_name] = 
array (
  'DetailView' => 
  array (
    'templateMeta' => 
    array (
      'maxColumns' => '2',
      'form' => 
      array (
      	'buttons' => array(
      		'EDIT',
      		'DUPLICATE',
      		'DELETE',
      		array(
				'customCode' => '
					{if $fields.invoice_source.value == "Internal Editor"}				
					<button type="button" onclick="this.form.action.value=\'getPDF\';this.form.submit();">{$MOD.LBL_DOWNLOAD_AS_PDF}</button>
				
					<input type="hidden" name="to_pdf" value="">
					{/if}
				',
				'sugar_html' => array(
		              'type' => 'submit',
		              'value' => '{$MOD.LBL_DOWNLOAD_AS_PDF}',
		              'htmlOptions' => array(
		                  'title' => '{$MOD.LBL_DOWNLOAD_AS_PDF}',
		                  'accesskey' => '',
		                  'class' => 'button',
		                  'onclick' => 'this.form.action.value=\'getPDF\';this.form.submit();',
		                  'name' => '{$MOD.LBL_DOWNLOAD_AS_PDF}',
		                  'id' => 'to-pdf-btn',
		              ),
		              'template' => '[CONTENT]<input type="hidden" name="to_pdf" value="">',
				),
      		),
      		array(
				'customCode' => '
					<button type="button" onclick="this.form.action.value=\'sendEmail\';this.form.submit();">{$MOD.LBL_SEND_EMAIL}</button>
				',
				'sugar_html' => array(
		              'type' => 'submit',
		              'value' => '{$MOD.LBL_SEND_EMAIL}',
		              'htmlOptions' => array(
		                  'title' => '{$MOD.LBL_SEND_EMAIL}',
		                  'accesskey' => '',
		                  'class' => 'button',
		                  'onclick' => 'this.form.action.value=\'sendEmail\';this.form.submit();',
		                  'name' => '{$MOD.LBL_SEND_EMAIL}',
		                  'id' => 'send-email-btn',
		              ),
		              'template' => '[CONTENT]',
				),
      		),
      		array(
				'customCode' => '
					<button type="button" onclick="this.form.action.value=\'convertToDocument\';this.form.submit();">{$MOD.LBL_CONVERT_TO_DOCUMENT}</button>
				',
				'sugar_html' => array(
		              'type' => 'submit',
		              'value' => '{$MOD.LBL_CONVERT_TO_DOCUMENT}',
		              'htmlOptions' => array(
		                  'title' => '{$MOD.LBL_CONVERT_TO_DOCUMENT}',
		                  'accesskey' => '',
		                  'class' => 'button',
		                  'onclick' => 'this.form.action.value=\'convertToDocument\';this.form.submit();',
		                  'name' => '{$MOD.LBL_CONVERT_TO_DOCUMENT}',
		                  'id' => 'to-document-btn',
		              ),
		              'template' => '[CONTENT]',
				),
      		),
      	),
      	
      ),
      'widths' => 
      array (
        array (
          'label' => '10',
          'field' => '30',
        ),
        array (
          'label' => '10',
          'field' => '30',
        ),
      ),
      'useTabs' => false,
    ),
    'panels' => 
    array (
      'LBL_INVOICE_OVERVIEW' => 
      array (
        array (
		     'name',
		     'account_name'
        ),
        array(			
			'invoice_number',
			'contact_name'	
        ),
        array (
            array(
            	'name' => 'invoice_status',
            	'customCode' => '
            		{if $fields.invoice_status.value == "Sent"} <span style="color:red;">{$fields.invoice_status.value}</span>
				{elseif $fields.invoice_status.value == "Paid"} <span style="color:green;">{$fields.invoice_status.value}</span>
				{else} {$fields.invoice_status.value}
            		{/if}
            	'
            ),            
        ),
	   array(
			'invoice_type',
			array('name' => 'amount','label' => '{$MOD.LBL_AMOUNT} ({$CURRENCY})')
	   ),
	   array(
			'invoice_source',
	   ),

        array (
            'description',
        ),


         array (
		     array (
				'name' => 'uploadfile',
				'customLabel' => '{if $fields.invoice_source.value == "External File"}{$MOD.LBL_FILENAME}{/if}',
				'customCode' => '{if $fields.invoice_source.value == "External File"}<a href="index.php?entryPoint=download&type=Invoices&id={$fields.id.value}">{$fields.uploadfile.value}</a>{/if}',
				'displayParams' => 
				array (
				  'link' => 'uploadfile',
				  'id' => 'id',
				),
		     ),
        ),
     ),


	'LBL_DATES' => array(
        array (
		   'publish_date',
		   'exp_date',
        ),
        array (
		  array(
		  	'name' => 'date_paid',
		  	'customCode'=> '{if $fields.invoice_status.value == "Paid"}{$fields.date_paid.value}{/if}',
		  	'customLabel' => '{if $fields.invoice_status.value == "Paid"}{$MOD.LBL_DATE_PAID}:{/if}',
		  ),
        ),
	),
     
     'LBL_OTHER' => 
     array(
        array (
            'assigned_user_name',
            array(
            	'customLabel' => '{if $fields.document_id.value != ""}{$MOD.LBL_CONVERTED_DOCUMENT}:{/if}',
			'customCode' => '{if $fields.document_id.value != ""}<a href="index.php?module=Documents&action=DetailView&record={$fields.document_id.value}">{$fields.document_name.value}</a>{/if}',
            ),
        ),
        array (
          array (
            'name' => 'date_entered',
            'customCode' => '{$fields.date_entered.value} {$APP.LBL_BY} {$fields.created_by_name.value}',
          ),
          array (
            'name' => 'date_modified',
            'label' => 'LBL_DATE_MODIFIED',
            'customCode' => '{$fields.date_modified.value} {$APP.LBL_BY} {$fields.modified_by_name.value}',
          ),
        ),
      ),
     
    ),
  ),
);
?>
