<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');




require_once('include/MVC/View/views/view.detail.php');
require_once('modules/Invoices/InvoiceItems.php');
require_once('modules/Documents/Document.php');

class InvoicesViewDetail extends ViewDetail {

 	function InvoicesViewDetail(){
 		parent::ViewDetail();
 	}
 	
 	function display() {

		if(!empty($this->bean->document_id)){
			$d = new Document();
 			$d->retrieve($this->bean->document_id);	
 			$this->bean->document_name = $d->document_name;
 		}
	    
		$currency = new Currency();
		if(isset($this->bean->currency_id) && !empty($this->bean->currency_id)){
	    		$currency->retrieve($this->bean->currency_id);
		    	if( $currency->deleted != 1){
				$this->ss->assign('CURRENCY', $currency->iso4217 .' '.$currency->symbol);
		    	}else {
		    	    $this->ss->assign('CURRENCY', $currency->getDefaultISO4217() .' '.$currency->getDefaultCurrencySymbol());	
		    	}
		}else{
	   	 	$this->ss->assign('CURRENCY', $currency->getDefaultISO4217() .' '.$currency->getDefaultCurrencySymbol());
		}
	   	    
 		parent::display();

		if($this->bean->invoice_source == 'Internal Editor'){
	 		$ii = new InvoiceItems($this->bean->id);
	 		echo $ii->displayDetail();
	 	}	
 		
 	}
}
?>
