<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

 
require_once("modules/Invoices/InvoiceItems.php");
 
class InvoicesViewItems extends SugarView{
	var $vv;

 	function InvoicesViewItems(){
 		parent::SugarView();
 	}
 	
 	function display(){
 		if(empty($this->bean->id)){
			global $app_strings;
			sugar_die($app_strings['ERROR_NO_RECORD']);
		}
		
 		$ii = new InvoiceItems($this->bean->id); 		
		echo $this->getModuleTitle();
 		echo $ii->displayEdit();		
 	}


 	function getModuleTitle($showHelp = false){
 		global $mod_strings;
		$iconPath = $this->getModuleTitleIconPath($this->module);

		$theTitle = "<div class='moduleTitle'>\n<h2>";
		$theTitle .= "<a href='index.php?module={$this->module}&action=index'>" . "<img src='{$iconPath}' alt='".$this->module."' title='".$this->module."' align='absmiddle'></a>";
		$theTitle .= "<span class='pointer'>&raquo;</span>";
		$theTitle .= "<a href='index.php?module={$this->module}&action=DetailView&record=".$this->bean->id."'>".$this->bean->name."</a>";
		$theTitle .= "<span class='pointer'>&raquo;</span>";
		$theTitle .= $mod_strings["LBL_ITEMS"];
		$theTitle .= "</h2></div>";

		return $theTitle;
		
 	}
}

?>
